Skip to content
Navigation

Pages the store's discounts.

GET
https://api.sherpo.io/merchant/v1/stores/{store}/discounts

Authorization

  • bearer
    HTTP
    required

Path parameters

  • store
    string
    required

    The store's id.

Query parameters

  • filter
    optional
    object

    filter[<field>]=<value> is an equality, filter[<field>][<op>]=<value> names the operator; in repeats the parameter.

  • sort
    optional
    created
    or
    code

    Sorted by code, rows without a value come last either way.

  • direction
    optional
    asc
    or
    desc
  • limit
    optional
    integer
    maximum: 100 · minimum: 1
  • cursor
    optional
    string
    maxLength: 8192
  • count
    optional
    boolean
  • search
    optional
    string
    maxLength: 200 · minLength: 1
  • facets
    optional
    array of
    string

Returns

200

Pages the store's discounts.

JSON
  • items
    array of
    object
    required
    • scopes
      object
      required
      • items
        array of
        object
        required
        • id
          string
          required
        • kind
          string
          required
        • product_id
          required

          One of the following:

          • string
          • null
        • tier_id
          required

          One of the following:

          • string
          • null
        • price_id
          required

          One of the following:

          • string
          • null
      • total
        number
        required
    • id
      string
      required
    • code
      required

      One of the following:

      • string
      • null
    • name
      required

      One of the following:

      • string
      • null
    • applies
      string
      required
    • status
      string
      required
    • amount_off
      number
      required
    • percent_off
      number
      required
    • currency
      required

      One of the following:

      • string
      • null
    • exponent
      required

      One of the following:

      • number
      • null
    • floor_amount
      required

      One of the following:

      • number
      • null
    • cap_amount
      required

      One of the following:

      • number
      • null
    • floor_percent
      required

      One of the following:

      • number
      • null
    • priority
      number
      required
    • supply_total
      required

      One of the following:

      • number
      • null
    • supply_consumed
      number
      required
    • supply_per_customer
      required

      One of the following:

      • number
      • null
    • starts_at
      required

      One of the following:

      • string
      • null
    • ends_at
      required

      One of the following:

      • string
      • null
    • archived_at
      required

      One of the following:

      • string
      • null
    • created_at
      required

      One of the following:

      • string
      • null
  • cursor
    required

    One of the following:

    • string
    • null
  • total
    optional
    number
  • facets
    optional
    map of
    map<number>
JSON
  • type
    string
    required
    format: uri
  • title
    string
    required
  • status
    integer
    required
  • detail
    string
    required
  • code
    optional
    string
  • context
    optional
    object
  • reached_core
    optional
    boolean
  • core_answer
    optional
    string

Type to search…

↑↓ navigate↵ selectEsc close